#
# spec file for package python-masakariclient
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname python-masakariclient
Name:           python-masakariclient
Version:        4.0.0
Release:        lp152.4.3
Summary:        Python API and CLI for OpenStack Masakari
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PrettyTable >= 0.7.1
BuildRequires:  python-ddt >= 1.0.1
BuildRequires:  python-nose >= 1.3.7
BuildRequires:  python-openstacksdk >= 0.9.19
BuildRequires:  python-osc-lib >= 1.8.0
BuildRequires:  python-oslo.serialization >= 2.18.0
BuildRequires:  python-oslo.utils >= 3.33.0
BuildRequires:  python-oslosphinx >= 4.7.0
BuildRequires:  python-oslotest >= 3.2.0
BuildRequires:  python-python-subunit >= 1.0.0
BuildRequires:  python-reno >= 2.5.0
BuildRequires:  python-requests-mock >= 1.1.0
BuildRequires:  python-sphinx >= 1.6.2
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 2.2.0
Requires:       python-openstacksdk >= 0.9.19
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
BuildArch:      noarch

%description
Client library for Masakari built on the Masakari API. It provides a Python API
(the masakariclient module) and a command-line tool (masakari).

%package doc
Summary:        Documentation for OpenStack Masakari API client libary
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 4.7.0

%description doc
Client library for Masakari built on the Masakari API. It provides a Python API
(the masakariclient module) and a command-line tool (masakari).
This package contains the documentation.

%prep
%autosetup -p1 -n %{sname}-%{version}
%py_req_cleanup

%build
%py2_build

# Build HTML docs and man page
%{__python2} setup.py build_sphinx --builder=html,man
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install
# man pages
install -p -D -m 644 doc/build/man/python-masakariclient.1 %{buildroot}%{_mandir}/man1/python-masakariclient.1

%check
find . -type f -name *.pyc -delete
PYTHONPATH=. nosetests masakariclient/tests/unit

%files
%license LICENSE
%{python2_sitelib}/masakariclient
%{python2_sitelib}/*.egg-info
%{_mandir}/man1/python-masakariclient.1.*
%{_bindir}/masakari

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 4.0.0
  - Fix failing test case for PY3
  - Bump openstacksdk to 0.9.13
  - Use os-testr and add PY35 support
  - Improve command arguments
  - Change the base class of osc.v1.DeleteHost
  - Add assertions to UT code
  - Re-factor test cases to reduce code
  - [Fix gate]Update test requirement
  - Remove unnecessary return statement
  - Fix failing gate jobs by fixing constraints support
  - Add support for auto_priority, rh_priority recovery method
  - Remove inproper comment for APIs.
  - Enable to specify name and ID when operating segments and hosts
* Mon Aug  7 2017 tbechtold@suse.com
- Initial packaging (version 3.0.1)
